Download it now!
Bug 118430 - LO61b2: In online help - move Search box from sidebar bottom to sidebar top or to top bar
Summary: LO61b2: In online help - move Search box from sidebar bottom to sidebar top o...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
6.1.0.0.beta2+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0 target:6.1.0.2
Keywords:
Depends on:
Blocks: New-Help
  Show dependency treegraph
 
Reported: 2018-06-28 07:49 UTC by Martin Srebotnjak
Modified: 2018-07-11 09:55 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample online help page in browser (238.75 KB, image/png)
2018-06-28 07:53 UTC, Martin Srebotnjak
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Srebotnjak 2018-06-28 07:49:39 UTC
Description:
Opening online help in a browser does not show sidebar search box in the first view (as it is placed way down and cannot be seen unless you scroll down.
So if you want to search - you only notice the Google search box and intuitively enter the search text there thinking it will search help. Instead it searches Internet, so this is really confusing and frustrating for a LO user.
I propose:
- remove Google search box (or move it at the bottom of sidebar
- move help content search box to either top of sidebar or to the topbar.

Steps to Reproduce:
1. Open online help.
2.
3.

Actual Results:
Google search box misleads the user.

Expected Results:
Searching the help content should be straightforward.


Reproducible: Always


User Profile Reset: No



Additional Info:
If needed I can provide a screenshot.
Comment 1 Martin Srebotnjak 2018-06-28 07:53:25 UTC
Created attachment 143180 [details]
Sample online help page in browser

As seen in this screenshot, the main search field is out of the visual range of the displayed page so a user intuitively uses Google search field for searching LO help content.
Comment 2 Olivier Hallot 2018-06-28 18:40:12 UTC
Confirmed. 

Can the Contents tree be closed at page load finishes? Then the index search will be visible.
Comment 3 Buovjaga 2018-06-28 19:38:55 UTC
(In reply to Olivier Hallot from comment #2)
> Confirmed. 
> 
> Can the Contents tree be closed at page load finishes? Then the index search
> will be visible.

For mobile layouts (width smaller than 960px), it is collapsed.

For desktop layouts, we would have to remove the feature of showing the current item, which was requested by bubli: https://gerrit.libreoffice.org/gitweb?p=help.git;a=blob;f=help3xsl/help.js;hb=HEAD#l106

Swapping the vertical position of index and contents is a trade-off of something - if you put the contents to the bottom, you lose the immediate visual context of where you are in the page tree.

One option, for wider screens, would be to use a three-column layout with the index and contents in the sides and article in the middle.
Comment 4 Martin Srebotnjak 2018-06-28 19:40:20 UTC
What do you lose if you put the search box above the tree? The search box is only less than 150 px high ...
Comment 5 Buovjaga 2018-06-28 20:23:17 UTC
(In reply to Martin Srebotnjak from comment #4)
> What do you lose if you put the search box above the tree? The search box is
> only less than 150 px high ...

Um, the Bookmarks div's computed height is 786 px, so I don't get where you got that 150px?
Comment 6 Martin Srebotnjak 2018-06-28 20:25:14 UTC
OK, do you understand what I am proposing?
The Search box alone is less than 200 px high. By moving it above the tree and not leaving it under the tree it will be much more visible, at the same time the tree will still remain visible under it.
Comment 7 Buovjaga 2018-06-29 08:21:45 UTC
(In reply to Martin Srebotnjak from comment #6)
> OK, do you understand what I am proposing?
> The Search box alone is less than 200 px high. By moving it above the tree
> and not leaving it under the tree it will be much more visible, at the same
> time the tree will still remain visible under it.

The search/filtering input box is intimately connected with its filtered results immediately below it. This makes up the 786 px height. I cannot disconnect the filter from its results.

What I will experiment is:
Keep the Contents tree collapsed with lower width desktops.
Expand and move the Contents tree to the right, to a third column when there is enough width. It will require about 1440 px of width.
Comment 8 Commit Notification 2018-07-10 10:25:35 UTC
Ilmari Lauhakangas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=581213f4b1f0589367529434af22c41ddc4c1a29

tdf#118430 Three column layout with 1440px width
Comment 9 Commit Notification 2018-07-11 09:55:28 UTC
Ilmari Lauhakangas committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=0f1361dfd9212d7323ae959acf331fb178c5b028&h=libreoffice-6-1

tdf#118430 Three column layout with 1440px width